Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class TypedMap<EK,EV,IK,IV>

    java.lang.Object
      org.jboss.portal.common.util.AbstractTypedMap<EK,EV,IK,IV>
          org.jboss.portal.common.util.TypedMap<EK,EV,IK,IV>

All Implemented Interfaces:
  java.util.Map<EK,EV>

    public class TypedMap<EK,EV,IK,IV>

extends AbstractTypedMap<EK,EV,IK,IV>

Version:
  $Revision: 630 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.common.util.AbstractTypedMap
`AbstractTypedMap.Converter<E,I>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`TypedMap(java.util.Map<IK,IV> delegate, AbstractTypedMap.Converter<EK,IK> keyConverter, AbstractTypedMap.Converter<EV,IV> valueConverter)`

Method Summary
`protected java.util.Map<IK,IV>` | `getDelegate()`
`AbstractTypedMap.Converter<EK,IK>` | `getKeyConverter()`
`AbstractTypedMap.Converter<EV,IV>` | `getValueConverter()`

Methods inherited from class org.jboss.portal.common.util.AbstractTypedMap
`clear, containsKey, containsValue, convert, entrySet, equals, get, isEmpty, keySet, put, putAll, remove, replace, size, toString, validate, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`hashCode`

Constructor Detail

### TypedMap

    public TypedMap(java.util.Map<IK,IV> delegate,
                    AbstractTypedMap.Converter<EK,IK> keyConverter,
                    AbstractTypedMap.Converter<EV,IV> valueConverter)

Method Detail

### getKeyConverter

    public AbstractTypedMap.Converter<EK,IK> getKeyConverter()

  Specified by:
    `getKeyConverter` in class `AbstractTypedMap<EK,EV,IK,IV>`

### getValueConverter

    public AbstractTypedMap.Converter<EV,IV> getValueConverter()

  Specified by:
    `getValueConverter` in class `AbstractTypedMap<EK,EV,IK,IV>`

### getDelegate

    protected java.util.Map<IK,IV> getDelegate()

  Specified by:
    `getDelegate` in class `AbstractTypedMap<EK,EV,IK,IV>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.